Bug 1738547 (CVE-2019-11772) - CVE-2019-11772 IBM JDK: Out-of-bounds access in the String.getBytes method
Summary: CVE-2019-11772 IBM JDK: Out-of-bounds access in the String.getBytes method
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11772
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1741809 1741810 1741811 1741812 1741813 1745502
Blocks: 1724463
TreeView+ depends on / blocked
 
Reported: 2019-08-07 12:27 UTC by Tomas Hoger
Modified: 2020-02-06 02:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-02 13:07:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2585 None None None 2019-09-02 07:18:16 UTC
Red Hat Product Errata RHSA-2019:2590 None None None 2019-09-02 07:45:02 UTC
Red Hat Product Errata RHSA-2019:2592 None None None 2019-09-02 10:34:51 UTC
Red Hat Product Errata RHSA-2019:2737 None None None 2019-09-11 15:07:20 UTC

Description Tomas Hoger 2019-08-07 12:27:20 UTC
IBM JDK 8 SR5 FP40 (8.0.5.40) fixes a flaw described by upstream as:

Eclipse OpenJ9 could allow a local attacker to gain elevated privileges on the system, caused by an out-of-bounds write in the String.getBytes method. An attacker could exploit this vulnerability to corrupt memory and write to any 32-bit address or beyond the end of a byte array within Java code run under a SecurityManager.

OpenJ9 upstream bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=549075

OpenJ9 upstream merge request and commit:

https://github.com/eclipse/openj9/pull/6501
https://github.com/eclipse/openj9/commit/426e321c22c76a157312d862acc6b14114b51f95

References:

https://www-01.ibm.com/support/docview.wss?uid=ibm10960422
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_July_2019

Comment 1 errata-xmlrpc 2019-09-02 07:18:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:2585 https://access.redhat.com/errata/RHSA-2019:2585

Comment 2 errata-xmlrpc 2019-09-02 07:45:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2590 https://access.redhat.com/errata/RHSA-2019:2590

Comment 3 errata-xmlrpc 2019-09-02 10:34:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:2592 https://access.redhat.com/errata/RHSA-2019:2592

Comment 4 Product Security DevOps Team 2019-09-02 13:07:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11772

Comment 5 errata-xmlrpc 2019-09-11 15:07:19 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:2737 https://access.redhat.com/errata/RHSA-2019:2737


Note You need to log in before you can comment on or make changes to this bug.